# 标高标注
<br/>

### 功能介绍
该标注用于对平面，剖面，立面的的标高进行标注。对于在平面/立剖面的上的标高标注，可以自动识别构件/实际高度，对标注进行放置。

### 绘制操作
点击【图纸】菜单下的【标高标注】按钮，启动命令并弹出对话框，可以对标高标注进行放置。
- 【平面视图】下，仅支持在有构件的位置绘制标高标注，标注中的数值自动识别【构件高度】。
- 【立剖面视图】下，支持在任意位置布置标高标注，标注中的数值自动识别布置位置的【实际高度信息】。

### 对话框设置（标注绘制前弹出）：
- 【标注线】：仅在【立剖面视图】的对话框中出现，勾选状态下，可水平引出标高标注，高度数值自动识别低一点的实际高度。（见图1）
- 【标注线线型】：可下拉选择引出标注线的线型。
- 标注样式：【普通标高】【带基线标高】【引线】样式的结果分别如下图2所示。
- 文字设置：可设置【文字样式】【字高】。
- 精度：可设置标高数值的精度。

![](/uploads/pkpm-bim-arch/images/m_bab417861c2394398067eecf5d67dc46_r.png)
图1 标注线

![](/uploads/pkpm-bim-arch/images/m_2c730900105012c570e6ed14a43f9d62_r.png)
图2 标注样式

### 属性栏设置（标注绘制后的修改）：
- 精度：可设置标高数值的精度。
- 测量高度：始终显示此标高自动识别的构件/实际高度信息，作为建模参考。
- 文字设置：可设置文字的【样式】【字高】【颜色】【相对基线的对齐方式】【与基线的距离】
- 线设置：可设置标注是否需要【基线】【引线】【标注线】

### 快捷编辑：
- 选中标注后，点击夹点，可移动该夹点的位置。
- 双击标注，弹出标注修改对话框，除基本编辑外，可手动输入替换标高的文字内容。

![](/uploads/pkpm-bim-arch/images/m_1a412013631c57c5959660463e0bc6ce_r.png)
图3 以文字替换