# 链接P3D
链接P3D模型功能既可以将同一专业的模型进行链接，也可以将各专业数据链接到指定的专业，形成全专业模型。
### 操作步骤
1. 插入链接模型
选择选择【协同设计-链接模型-链接P3D功能】功能，弹出“插入链接模型”打对话框，如图所示。

<img src="/uploads/pkpm-bim-uni/images/m_1f31da099f809e535e413fe98f9206c8_r.png" width="400" height="" />

插入链接模型面板
<br/>
* 当插入点和插入角度不勾选，不调整数值时按默认值插入时，默认执行插入时，执行原位粘贴功能；
* 插入的模型希望自定义管理插入点位置时，可按下面方式进行详细控制；


2. 浏览文件
选择【插入浏览模型面板|浏览】功能，弹出“打开链接PBIMS文件路径”打对话框。

<img src="/uploads/pkpm-bim-uni/images/m_1451fe4666c4bc608b56eb2f39383a05_r.png" width="500" height="" />

选择被链接文件


3. 选择打开
&emsp;&emsp;选择要链接的.P3D文件，点击“打开”按钮，完成链接。链接过程通过进度条提示完成进度； 

<img src="/uploads/pkpm-bim-uni/images/m_e5e90538123ff2e3171aa6bd967afbf2_r.png" width="150" height="" />

<br/>

4. 查看模型
以一框架结构模型为例，通过链接形成的全专业模型如图所示。

<img src="/uploads/pkpm-bim-uni/images/m_6fb80ed71a216108571940b9aed1b435_r.png" width="800" height="" />

在三维全楼模式下链接的全专业模型

#### 插入点
在插入链接面板中当不勾选【插入点】|【在屏幕上指定】时、插入点的在屏幕上指定时，按输入值插入链接模型。
插入点：链接模型的坐标原点对齐到插入点的坐标点（x，y，z），如图所示，被链接模型的坐标原点将对齐到（0,0,0）点。
&emsp;&emsp;当勾选【插入点】|【在屏幕上指定】时，下方X、Y、Z后方输入框不可输入状态，输入框默认置灰显示；如有其他数据，在置灰时默认清零 ；软件将会把被链接模型的模型对齐到坐标原点插入，鼠标在屏幕上点击的点。
#### 插入角度
在插入链接面板中当不勾选【插入角度】|【在屏幕上指定】时，在插入时，插入的链接模型，按输入数值的角度与x轴正方向旋转。
当勾选【插入点】|【在屏幕上指定】时，可以通过点击确定链接模型的输入角度。


# 链接PMODEL
链接PMODEL模型可以将外部软件导出的PMODEL格式文件链接到PKPM-BIM系统中的任意专业，用于全专业展示。
&emsp;&emsp;链接PMODEL模型操作流程与链接P3D的流程相似，分为四个步骤。


### 操作步骤
1. 插入链接模型对话框
选择【协同设计-链接PMODEL】功能，弹出“插入链接模型”打对话框；

<img src="/uploads/pkpm-bim-uni/images/m_212cd2fae841d329723ccab32c87ef56_r.png" width="400" height="" />

2. 浏览文件
选择要链接的.pmodel文件。

<img src="/uploads/pkpm-bim-uni/images/m_82c56bf2bed05d074e76f87ee19fe4cc_r.png" width="500" height="" />

浏览被链接的PMODLE文件

3. 选择打开
点击“打开”按钮，完成链接。链接过程通过进度条提示完成进度；

4. 查看模型
查看通过链接形成的全专业模型。