程序支持在所有楼层的任意位置创建以下平面。

<img src="/uploads/pkpm-bim-uni/images/m_4eb8a3c42e2cae99632000aed02f61ed_r.png" width="800" height="" />

### 矩形
创建一个矩形（含面）。
点击鼠标左键开始绘制，通过选择矩形的对角点以确定位置和尺寸。
绘制第一点之后，支持在追踪器中输入矩形的长度和宽度。
<img src="/uploads/pkpm-bim-uni/images/m_f6bac4d9fc2eb384e32063f4cbdbe859_r.png" width="200" height="" />
完成绘制后，选中矩形线，显示夹点和箭头，如下图所示。通过拖拽夹点和箭头，支持调整矩形线的位置和尺寸。
<img src="/uploads/pkpm-bim-uni/images/m_43e0a4f31d2093341310257094eac6f2_r.png" width="200" height="" />

### 多边形
创建一个多边形（含面）。
在抬头工具栏中，可选择“任意多边形”或“正多边形绘制”，如下图所示。
<img src="/uploads/pkpm-bim-uni/images/m_53f94bf011643a558d066468da0f2fe1_r.png" width="250" height="" />

① 任意多边形
点击鼠标左键开始绘制，通过选择多边形的角点以确定位置和尺寸。
绘制第一点之后，支持在追踪器中输入相对上一点的距离和角度以确定下一点。
<img src="/uploads/pkpm-bim-uni/images/m_dd6108d4bc9b630079fded0628d35df6_r.png" width="250" height="" />
完成绘制后，选中任意多边形，显示夹点，如下图所示。通过拖拽夹点，支持调整任意多边形的位置和尺寸。
<img src="/uploads/pkpm-bim-uni/images/m_a06ec8350b7c00133a13e7e108eec6c6_r.png" width="200" height="" />


② 正多边形
在抬头工具栏中选择正多边形边数，目前提供3~27边数可供选择。
左键点击第一点以输入正多边形的形心位置。绘制第一点之后，支持在追踪器中输入相对第一点的距离和角度以确定正多边形角点的位置。
<img src="/uploads/pkpm-bim-uni/images/m_640a04d0e6adbe228210ee3795002c8c_r.png" width="250" height="" />
完成绘制后，选中正多边形，显示夹点，如下图所示。通过拖拽夹点，支持调整正多边形的位置和尺寸。
<img src="/uploads/pkpm-bim-uni/images/m_b5753a845535cb3395b0707051ddb2d9_r.png" width="200" height="" />


### 圆形
创建一个圆形（含面）。
左键点击第一点以确定圆心位置。绘制第一点之后，支持在追踪器中输入半径，以确定圆形形态。此时移动光标，可看到蓝色的圆形预览。
<img src="/uploads/pkpm-bim-uni/images/m_5eb9c0d5328f19f93af3375358ec1ccc_r.png" width="300" height="" />
在合适的位置点击左键确定第二点，作为圆形上的点，完成圆形绘制。
<img src="/uploads/pkpm-bim-uni/images/m_935c65cf1da38db23d4182fff0eec057_r.png" width="200" height="" />
完成绘制后，选中圆形，显示夹点，如下图所示。通过拖拽夹点，支持调整圆形的位置和形态。
<img src="/uploads/pkpm-bim-uni/images/m_21ce8e34cd0567e83a8a6016576ae2fa_r.png" width="200" height="" />


### 椭圆
创建一个椭圆形（含面）。
左键点击第一点以确定椭圆圆心位置。绘制第一点之后，支持在追踪器中输入椭圆半径1，以确定椭圆一个轴的长度。上述步骤中绘制的轴可作为椭圆的长轴或短轴，取决于椭圆半径2。
<img src="/uploads/pkpm-bim-uni/images/m_1aac12f707bd41a3b00478a8c8556c0e_r.png" width="300" height="" />
再次左键点击第二点以确定椭圆第一个半轴的距离。此时移动光标，可看到蓝色椭圆预览，或在追踪器中输入椭圆半径2，以确定椭圆另一个轴的长度。
<img src="/uploads/pkpm-bim-uni/images/m_b97603f6f865c073e4b67785159cacaf_r.png" width="300" height="" />
在合适的位置点击左键确定第三点，作为椭圆上的点，完成椭圆绘制。
<img src="/uploads/pkpm-bim-uni/images/m_58c8274e30cfde9854572e889738971a_r.png" width="200" height="" />
完成绘制后，选中椭圆，显示夹点，如下图所示。通过拖拽夹点，支持调整椭圆的位置和形态。
<img src="/uploads/pkpm-bim-uni/images/m_1dd8d819161a274dc3132b015e7533a8_r.png" width="200" height="" />