# 引出标注
<br/>


### 功能介绍
此功能用于添加引出标注以及引出标注的相关内容

### 绘制操作
点击【图纸】菜单下的【引出标注】按钮，启动命令：
在对话框中编辑好标注内容及其形式后，按命令行提示取点标注：
指定标注第一点/右键<退出>: 点取标注引线上的第一点
指定引线位置/右键<退出>: 点取文字基线上的第一点
指定文字基线位置/右键<退出>: 取文字基线上的结束点
点取其它的标注点/右键<结束>: 点取第二条标注引线上端点
...... 
输入其它的标注点<结束>: 右键结束。

### 对话框设置（标注绘制前弹出）：
- 选择绘制方式：勾选【多点共线】和【引线平行】的结果分别如下图2所示。【无】则表示引线任意绘制。
- 【固定角度】：控制引出标注的引线与文字基线之间的角度。
- 【上标文字】：引线标注的上部分内容。
- 【下标文字】：引线标注的下部分内容。
- 文字设置：可以对【文字样式】【字高】进行调整。
- 【文字相对基线对齐方式】：末端对齐、始端对齐、居中对齐的结果分别如下图3所示。
- 箭头设置：可以对【箭头样式】【大小】进行调整。

<br/>

![](/uploads/pkpm-bim-arch/images/m_7c47315f1defaa823b2e5556f120c5e2_r.png)
图1 引出标注对话框

![](/uploads/pkpm-bim-arch/images/m_84840c8815ecf3ca7c7a71949f1bb77f_r.png)
图2 【多点共线】与【引线平行】

![](/uploads/pkpm-bim-arch/images/m_66b0ac26beb5090233de8cf43238246e_r.png)
图3 文字相对基线对齐方式

### 属性栏设置（标注绘制后的修改）：
- 上/下标文字：输入修改标注内容。
- 常规：仅控制标注“线”的配置，包括【颜色】【图层】【线型】【线宽】。
- 文字设置：可设置文字的【样式】【字高】【颜色】【相对基线的对齐方式】【与基线的距离】
- 箭头设置：可设置箭头的【样式】【大小】

![](/uploads/pkpm-bim-arch/images/m_80ea021cb6a5434f3610c9ea6432c558_r.png)

### 快捷编辑：
- 选中标注后，点击夹点，可移动该夹点的位置。
- 双击文字，可修改标注文字内容。
- 选中标注后，右键选择【增加标注点】/【删除标注点】，可以点选新增/减少标注点（见图4）。

![](/uploads/pkpm-bim-arch/images/m_051cc78e7bc8ad506602b068e895511f_r.png)
图4 增加/删除标注点