程序支持在所有楼层的任意位置创建以下图形。
<img src="/uploads/pkpm-bim-uni/images/m_be37bfa736f49fc6f8c6eba114581f7d_r.png" width="800" height="" />

### 点
创建一个点。
以鼠标左键点击完成绘制。
<img src="/uploads/pkpm-bim-uni/images/m_8275c6cbde16b5ddfbdeadc6577f7731_r.png" width="50" height="" />

### 多段线
创建一条多段线。
点击鼠标左键开始绘制，可连续确定多个定位点。点击鼠标右键确认并结束绘制。在绘制的过程中，可按下shift锁定正交绘制方向。
<img src="/uploads/pkpm-bim-uni/images/m_46f75d9fb6a976dd9567a7d22559f9d7_r.png" width="250" height="" />
完成绘制后，选中后多段线，可通过拖动蓝色夹点改变多段线形态。
<img src="/uploads/pkpm-bim-uni/images/m_fa507990c9a686649f03e36e52d61b75_r.png" width="250" height="" />


### 矩形线
创建一个矩形（不含面）。
点击鼠标左键开始绘制，通过选择矩形的对角点以确定位置和尺寸。
绘制第一点之后，支持在追踪器中输入矩形的长度和宽度。
<img src="/uploads/pkpm-bim-uni/images/m_00907542634730c98e3cb06b92f7b53b_r.png" width="210" height="" />
完成绘制后，选中矩形线，显示夹点和箭头，如下图所示。通过拖拽夹点和箭头，支持调整矩形线的位置和尺寸。
<img src="/uploads/pkpm-bim-uni/images/m_482cf75ce2eadc99008a15eeffe02808_r.png" width="250" height="" />


### 正多边形线
创建一个任意多边形或正多边形（不含面）。
在抬头工具栏中，可选择“任意多边形”或“正多边形绘制”，如下图所示。
<img src="/uploads/pkpm-bim-uni/images/m_ff180d5e0f31dfcb331a79196d09d934_r.png" width="250" height="" />


① 任意多边形
点击鼠标左键开始绘制，通过选择多边形的角点以确定位置和尺寸。
绘制第一点之后，支持在追踪器中输入相对上一点的距离和角度以确定下一点。
<img src="/uploads/pkpm-bim-uni/images/m_45d51d3d7eee913d92c7b26aa2b97915_r.png" width="250" height="" />
完成绘制后，选中任意多边形线，显示夹点，如下图所示。通过拖拽夹点，支持调整任意多边形线的位置和尺寸。
<img src="/uploads/pkpm-bim-uni/images/m_f8af4974b8924d93b2a31028b00f3ffb_r.png" width="200" height="" />


② 正多边形
在抬头工具栏中选择正多边形边数，目前提供3~27边数可供选择。
左键点击第一点以输入正多边形的形心位置。绘制第一点之后，支持在追踪器中输入相对第一点的距离和角度以确定正多边形角点的位置。
<img src="/uploads/pkpm-bim-uni/images/m_834f3b5b3b80d0eb7f1bfef10daddfea_r.png" width="250" height="" />
完成绘制后，选中正多边形线，显示夹点，如下图所示。通过拖拽夹点，支持调整正多边形线的位置和尺寸。
<img src="/uploads/pkpm-bim-uni/images/m_9ec7474eb801cc12345da7153c3c71de_r.png" width="200" height="" />


### 圆弧线
创建一段弧形线。
在抬头工具栏中，可选择“圆心-半径画弧”或“起点-端点-中点画弧”，如下图所示。
<img src="/uploads/pkpm-bim-uni/images/m_1e9aa42730c32b790941465afd77db57_r.png" width="100" height="" />

① 圆心-半径画弧
左键点击第一点以确定圆心位置。绘制第一点之后，支持在追踪器中输入相对于圆心的距离和角度，以确定圆弧线起点位置。此时移动光标，可看到蓝色的弧形线预览。
<img src="/uploads/pkpm-bim-uni/images/m_cf06bd1d5aa7b165392c3e70184d6b65_r.png" width="250" height="" />
在合适的位置点击左键确定第三点，作为圆弧线终点，完成圆弧线绘制。
<img src="/uploads/pkpm-bim-uni/images/m_f8f72168a30b098c81b5222b035496f5_r.png" width="250" height="" />
完成绘制后，选中圆弧线，显示夹点，如下图所示。通过拖拽夹点，支持调整圆弧线的位置和形态。
<img src="/uploads/pkpm-bim-uni/images/m_454f85277a6ec85263d2d70a17c2d0af_r.png" width="" height="200" />


② 起点-端点-中点画弧
左键点击第一点以确定弧线起点位置。绘制第一点之后，支持在追踪器中输入圆弧终点相对于起点的距离和角度。此时移动光标，可看到黑色的直线预览。左键点击以确定圆弧终点（第二点）位置。
<img src="/uploads/pkpm-bim-uni/images/m_9f928657dc1601b43fdac1c99bb7aae0_r.png" width="250" height="" />
移动光标，可看到圆弧预览，光标始终在圆弧线上。将光标移动至合适的位置后，单击鼠标左键确定圆弧线。
<img src="/uploads/pkpm-bim-uni/images/m_2ee6287c745f0cba97c6631629cecf35_r.png" width="250" height="" />
完成圆弧线的绘制。
<img src="/uploads/pkpm-bim-uni/images/m_24ab4a5d7e1ea21270e9a36315746176_r.png" width="250" height="" />
完成绘制后，选中圆弧线，显示夹点，如下图所示。通过拖拽夹点，支持调整圆弧线的位置和形态。
<img src="/uploads/pkpm-bim-uni/images/m_50fd2412b421277331c95b64c7ff715a_r.png" width="250" height="" />


### 圆形线
创建一个圆形（不含面）。
左键点击第一点以确定圆心位置。绘制第一点之后，支持在追踪器中输入半径，以确定圆形线位置。此时移动光标，可看到蓝色的圆形线预览。
<img src="/uploads/pkpm-bim-uni/images/m_2ef0b6d754512a5eb3eeda3ae6052022_r.png" width="300" height="" />
在合适的位置点击左键确定第二点，作为圆形上的点，完成圆形线绘制。
<img src="/uploads/pkpm-bim-uni/images/m_5696ccaed07d457eeba8c47b6d9654e1_r.png" width="200" height="" />
完成绘制后，选中圆形线，显示夹点，如下图所示。通过拖拽夹点，支持调整圆形线的位置和形态。
<img src="/uploads/pkpm-bim-uni/images/m_f2c4ff7dcae48b926923905b898d16f6_r.png" width="200" height="" />