基本建模模块提供的工具有推/拉、线生成面、放样。

<img src="/uploads/pkpm-bim-uni/images/m_90134395a2a7f6f411676dafe782382b_r.png" width="800" height="" />

### 推/拉
以既有平面创建几何体。
启动功能后，单击鼠标左键选择既有平面。
<img src="/uploads/pkpm-bim-uni/images/m_2e4727a78e6222e02b058e3e7ec9c3f2_r.png" width="200" height="" />
移动光标，可看到以所选平面的法线方向生成几何体预览。
<img src="/uploads/pkpm-bim-uni/images/m_fe916d3510c810cb9052ef3fcaaf644f_r.png" width="350" height="" />
此时可在追踪器中输入拉伸距离，或在合适的位置点击鼠标左键以确定拉伸距离。
<img src="/uploads/pkpm-bim-uni/images/m_a8a6ff82bc5d3cb9383d35d751148f30_r.png" width="200" height="" />
本功能生成的几何体不具备编辑能力。布置完成后选中几何体，将不显示夹点。
<img src="/uploads/pkpm-bim-uni/images/m_3cbdaced735eab7c826a83b6f9bfed95_r.png" width="200" height="" />


### 线生成面
以既有的封闭之前或曲线，创建面域。
使用图形工具创建轴线和/或曲线，使其首尾相连。
<img src="/uploads/pkpm-bim-uni/images/m_aa80df689cfc2d5e74dc70e430fe13fd_r.png" width="200" height="" />
启动功能后，可通过鼠标左键点击选择上述线段，或通过框选的方式选中。
被选中的线段将高亮显示。
单击鼠标右键，即可以被选中线段围合的区域生成面。
注意，圆弧线将转化为多段线。
<img src="/uploads/pkpm-bim-uni/images/m_038e8d15c039d1bbdba992de7b9d920f_r.png" width="200" height="" />
布置完成后，选中该平面将显示夹点，支持调整面的位置和尺寸。
<img src="/uploads/pkpm-bim-uni/images/m_69c419be6b4127cc8d3bee88963beada_r.png" width="200" height="" />


*****


### 放样
对自定义截面进行放样操作，支持绘制或拾取截面。
在抬头工具栏中，可选择“任意多边形”或“正多边形绘制”，如下图所示。
<img src="/uploads/pkpm-bim-uni/images/m_6080b4c95768afc2afc3f30845ccb34b_r.png" width="600" height="" />


① 等截面沿路径放样
<img src="/uploads/pkpm-bim-uni/images/m_a194df309d7316856764e4cf7b4a7881_r.png" width="30" height="" />绘制截面：在放样工具中绘制一个新截面。
1. 点击绘制截面按钮后，将弹出新建截面对话框。可定义截面名称，点击“确定”后进入截面编辑环境，或选择点击“临时截面”。若选择“临时截面”，将在截面被创建完成后以该名称命名。

<img src="/uploads/pkpm-bim-uni/images/m_cb5e120b82e6a8d2395a3dce68f67915_r.png" width="300" height="" />

2.在截面编辑环境下，可使用图示工具创建封闭的图形。绘制图形与该环境中坐标系的位置关系，将对放样效果产生影响。完成图形绘制后，点击“保存截面”和“退出”，以退出编辑环境。

<img src="/uploads/pkpm-bim-uni/images/m_a01cfaadbf374a7ae911ba10d59c13de_r.png" width="600" height="" />

3.此时可在截面选择下拉栏中看到上一步中创建的截面。鼠标左键点击任意位置以确定放样起点，拖动光标可看到动态放样预览。

<img src="/uploads/pkpm-bim-uni/images/m_044906f81cafeed0b48b8d7a5069964d_r.png" width="400" height="" />

4.点击鼠标左键可增加定位点，类似于“多段线”的绘制方式。

<img src="/uploads/pkpm-bim-uni/images/m_fc862cff28271c2f3a0fcef1e966cfad_r.png" width="400" height="" />

5.点击鼠标右键结束放样绘制。将以最后一个定位点作为放样终点。

<img src="/uploads/pkpm-bim-uni/images/m_689771b21a01f9449b674950be238061_r.png" width="400" height="" />

6.放样几何体支持整体移动、复制、镜像等操作，不支持局部编辑。选中几何体，不能看到夹点。

<img src="/uploads/pkpm-bim-uni/images/m_fb8140097bebfe49d7e79984b16f3501_r.png" width="400" height="" />

<img src="/uploads/pkpm-bim-uni/images/m_bcf966f757bcfb860a852fc3bbbf5857_r.png" width="30" height="" />拾取截面：在放样工具中选择一个已有截面。
1. 与绘制截面类似，点击绘制截面按钮后，将弹出新建截面对话框。可定义截面名称，点击“确定”后进入截面拾取流程，或选择点击“临时截面”。若选择“临时截面”，将在截面被拾取完成后以该名称命名。
2. 在模型中选择一个面，被预选激活的面轮廓将高亮显示。点击鼠标左键，该面将高亮显示。再次点击鼠标右键，将确认拾取该截面，并在截面选择下拉中创建和自动选择该截面。

<img src="/uploads/pkpm-bim-uni/images/m_4bff60d7813f90e9212b80bcc0e2b21f_r.png" width="150" height="" />

3. 通过“拾取截面”绘制放样几何体的后续步骤与“绘制截面”相同。

<img src="/uploads/pkpm-bim-uni/images/m_02b9e2472f5e652c68ba3be1479bdac1_r.png" width="" height="30" />截面样式管理器：管理放样功能中的可选截面。具备本地截面库与当前截面库之间的截面迁移，并支持截面的导入和导出。
* 工程截面库：展示在本工程内存储的由放样功能生成的截面。点击截面条目，可在右侧看到预览。选中某一截面后，可点击“载入”将其迁移至常用截面库。
* 常用截面库：展示当前可在放样功能的截面选择下拉中被选择的截面。点击截面条目，可在左侧看到预览。选中某一截面后，可点击“卸载”将其迁移至工程截面库。
* 导出：以dwg格式导出当前选中的截面，另存至本地。
* 导入：从本地导入dwg格式文件作为截面。请注意，被导入的文件中需要仅存在一个闭合截面。
* 编辑截面：重新在截面编辑环境中调整当前已有截面。可在工程截面库或常用截面库中选择。
* 删除：减少工程截面库或常用截面库中的截面。在任意截面库中选择截面条目后删除，将判断该截面是否已在模型中被使用。如果截面没有被使用，则该截面将被删除；如果截面已被使用，则将弹窗提示选择用于替换的其他截面。

<img src="/uploads/pkpm-bim-uni/images/m_fa9fcbb7e0ae52294091317a72516af5_r.png" width="400" height="" />


<img src="/uploads/pkpm-bim-uni/images/m_41f4b85b4c9a82cfe06e88dbde8bc63e_r.png" width="150" height="" />截面选择下拉栏：选择当前放样绘制所使用的截面。下拉栏中的截面同截面样式管理器中常用截面库的截面。
<br/>
②多截面放样
将多个线性方向的二维轮廓截面进行连接放样，形成三维几何形体。
1. 在抬头栏中勾选多截面放样。
2. 依次选择线性方向的多个截面轮廓并右键确认。
3. 会将选中的多个截面轮廓连接放样，形成三维几何形体。

<img src="/uploads/pkpm-bim-uni/images/m_ef95f5a36e848eeae8b6a12a3845906f_r.png" width="180" height="" />
<img src="/uploads/pkpm-bim-uni/images/m_05b2b252e780ce07f3b94babb49187b3_r.png" width="180" height="" />