Python构件库允许提供Python的路径和载入参数化组件功能。Python构件是由北京构力科技在BIMBase平台上提供的灵活参数化或非参数化模型交换方式。用户可使用参数化组件库中附带的构件，也可链接用户本地的构件，或联系PKPM-BIM定制其他构件。


### 设置Python路径
默认情况下无需修改。如果遇到问题，请设置为Python绝对路径或者联系售后人员。
<img src="/uploads/pkpm-bim-uni/images/m_116c204a796222d649821e9999ecebe2_r.png" width="600" height="" />

### 参数化组件库
启动该功能后，显示参数化组件库管理器，提供PKPM-BIM随程序提供的Python构件。允许在本管理器内搜索库、创建库，以及对已有库进行管理。

<img src="/uploads/pkpm-bim-uni/images/m_14ae7fbb72966cfb627c5e650e2062c2_r.png" width="600" height="" />

光标停留在已有库上，单击右键，将弹出右键菜单。提供对所选库的信息编辑、删除、位置调整、打开本地文件夹功能。

<img src="/uploads/pkpm-bim-uni/images/m_caf8bbaaf3b5647e20fa98cd79dfb359_r.png" width="250" height="" />

### 布置参数化构件
在参数化组件库点击任意“库”，即进入该库的布置页面。
以“参数化组件样例”库为例，左侧以树状结构显示该库的目录层级，右侧展示当前层级中的所有Python构件预览。点击“布置”按钮后，即可在模型指定位置布置该参数化构件。图示为布置“三维文字”的效果。

<img src="/uploads/pkpm-bim-uni/images/m_a0b16827a181e7e9d27d541e1a8b74fd_r.png" width="250" height="" />

<img src="/uploads/pkpm-bim-uni/images/m_750526860414d813f493a56960309e3c_r.png" width="250" height="" />



### 修改参数化构件
部分Python构件已参数化，支持布置后修改参数以修改其形态。以“三维文字”为例，选中模型中的文字，可在属性栏中看到构件当前的参数。
<img src="/uploads/pkpm-bim-uni/images/m_0fda702c5b32948414f9785ddcbaf306_r.png" width="500" height="" />
在属性栏中修改构件参数后，将立即生效。
在下图展示的例子中，将三维文字高度从20修改为50。
<img src="/uploads/pkpm-bim-uni/images/m_063b860dc4576f9e7be946c1c431c541_r.png" width="500" height="" />