该功能允许用户管理、选择项目标准集，并支持为系统和自定义构件添加类型和属性。自定义属性可被指定名称、类型和默认值。项目标准集支持导入和导出，方便快速进行项目配置。


### 使用类型属性管理器
点击“类型属性管理器”图标，可激活该功能窗口，如图所示。该窗口分为两个标签页：标准集、属性。
<img src="/uploads/pkpm-bim-uni/images/m_c8ac55f53db5f9c6b60b34608b35c001_r.png" width="600" height="" />


#### 标准集
在“标准集”页签内，允许选择当前项目所应用标准集。项目标准集包含了一种配置下所有构件和属性的信息，与属性模板相似。
* <img src="/uploads/pkpm-bim-uni/images/m_94223bd0b5df47e40edfb211cb1a2cf4_r.png" width="25" height="" />新增：创建新的标准集。
* <img src="/uploads/pkpm-bim-uni/images/m_88267f4192fb62649668b6c7c7c78f7d_r.png" width="25" height="" /> 删除：删除当前选择的标准集。请注意，默认标准集不能被删除。
* <img src="/uploads/pkpm-bim-uni/images/m_34c002a885e917784502e691c218f38d_r.png" width="25" height="" /> 导入：选择并导入一个标准集.bzj文件到当前项目中。
* <img src="/uploads/pkpm-bim-uni/images/m_863e3ee7b44d94d26eda9ae897e571ef_r.png" width="25" height="" /> 导出：选择被导出的一个或多个标准集，并以.bzj文件储存至指定路径。


#### 属性
在“属性”页签内，可切换专业分类，管理构件类型和属性集。专业分类默认展示当前所在专业模块。点击“类型”或“属性集”下方的+、-按钮，可对相应部分内容进行增加和减少。
<img src="/uploads/pkpm-bim-uni/images/m_f0c5ab47f474fb9397d861ca1d049bac_r.png" width="500" height="" />

* 专业分类：在类型属性管理器中，构件类型和属性以专业作为分隔。在进入本管理器时，默认选择当前所在的专业模块。允许通过专业分类下拉栏切换至其他专业模块。请注意，为减少不同专业间的互相影响，仅允许修改当前专业模块对应的类型和属性。切换至其他专业分类后，无修改权限。
* 为构件赋予属性：选中构件类型中一个或多个构件类型后，可在右侧属性集列表中选择希望被赋予至该构件的属性。勾选相应属性前的复选框，即可将该属性指定给构件。当同时勾选多个构件类型，且所选构件类型对应的属性集不相同时，属性集中将展示所有构件对应属性的交集。


|   构件类型勾选  |  属性集展示   |
| --- | --- |
|   仅构件A  |  1、**2**、**3**   |
|  仅构件B   |   **2**、**3**、4  |
|  同时构件A和B   |   **2**、**3**  |


* 构件类型：分为“系统类型”和“自定义类型”。系统类型即所选专业分类下默认具备的构件类型，不允许被删除；自定义类型即所选专业分类下默认不具备的构件类型，由用户创建，允许被删除。
* 增加构件类型：在弹窗内输入自定义构件名称。请注意，新建构件的名称不应和已有构件名称重复。
* 增加属性：在弹窗内输入属性名称、属性类型和默认值。新建属性的属性名称不应和以后属性名称重复。属性类型为下拉选择形式，包括文本、整数、数值、是否、枚举、附件。默认值允许为空白。


### 在模型中应用自定义类型和属性
使用类型属性管理器建立构件类型和属性的关联之后，可在模型中将其应用至构件上。
以下图所示关联关系为例，将“自定义类型1”赋予结构专业下由基本建模-立方体工具绘制的几何体上。
<img src="/uploads/pkpm-bim-uni/images/m_93850fe4d8515493ef77bc97d4a49e46_r.png" width="600" height="" />
在模型中选中希望被赋予信息的构件，从属性栏中“构件类型”下拉栏中选择目标类型后，该类型对应的属性和默认值即被赋予至该构件上。


|   <img src="/uploads/pkpm-bim-uni/images/m_eec291c4e09a420cb116aee5a44f1757_r.png" width="300" height="" />  |  <img src="/uploads/pkpm-bim-uni/images/m_4af9ea72eafaf7f6ba8f5d55dc7b33e7_r.png" width="300" height="" />   |
| --- | --- |
|   在属性栏中选择构件类型  |   构件已被赋予新的类型和属性信息  |