增强过滤器为构件筛选提供了更加灵活的方式，其具备以下特性：
* 支持跨专业筛选；
* 支持同时筛选多种构件类型；
* 支持使用一个或多个筛选逻辑连接；
* 支持管理过滤器规则；
* 提供构件选择集功能，支持多次连续筛选；


<img src="/uploads/pkpm-bim-uni/images/m_7d0932a9f4928bdfaacec2d94d314769_r.png" width="500" height="" />

### 构件类型
在构件类型树中，可勾选一个或多个构件类型。被勾选的构件类型将参与筛选。
启动增强过滤器时，模型中已被选中的构件类型，将在本功能内自动被勾选。
截至当前版本，增强过滤器已对接：
1. BIMBase构件；
2. 建筑构件；
3. 结构构件；


### 过滤条件
① 过滤器管理
提供保存当前筛选条件的功能。
如果希望当前的过滤条件被保存，可点击“+”按钮，键入名称后新建过滤器。
点击删除按钮，可删除当前选择的过滤器。“临时过滤器”不允许被删除。

<img src="/uploads/pkpm-bim-uni/images/m_328a23a9988d74a790dbc84ac9948855_r.png" width="400" height="" />


② 过滤条件链
提供设置一个或多个筛选条件功能，并支持调整筛选条件间的逻辑关系。
* 条件：选择被筛选的属性名称。下拉列表中的内容与所选构件类型相关联。
* 关系：选择属性判断条件。根据“条件”选择不同，“关系”可能为是否、包含、比较等。
* 内容：选择或输入判断条件对应的详细值。根据“条件”选择不同，“内容”可能为下拉选择或文本输入形式。
* 逻辑关系：选择多个筛选条件之间的关联关系。可选“或”、“且”，分别对应取得前后筛选条件结果的并集和交集。


③ 过滤条件管理
支持创建、删除和调整过滤条件。
* 增加筛选条件：在当前列表最下方增加一个筛选条件。
* 删除筛选条件：删除当前选择的筛选条件。当筛选条件仅剩余一个时，删除功能不生效。
* 上移筛选条件：将当前选择的筛选条件向上移动。
* 下移筛选条件：将当前选择的筛选条件向下移动。

<img src="/uploads/pkpm-bim-uni/images/m_4692fc576bb6d764e2e7f3f8f56d7383_r.png" width="400" height="" />



P.S.本功能仅筛选当前当前视图中的构件。例如，当前处于单层视图状态，则筛选本层模型中的构件。若当前处于全楼视图状态，则筛选全楼模型中的构件。


### 选择集
基于选择集功能，增强过滤器支持连续、多次、不同条件的筛选。
以连续进行两次构件和过滤条件均不同的筛选为例。
1. 选择构件类型1、2、3，设置过滤条件A。点击“添加到选集”后，得到过滤结果a项，并在功能内显示“已选中a项”。
2. 选择构件类型4、5，设置过滤条件B。再次点击“添加到选集”后，得到过滤结果b项。此时功能内显示“已选中a+b项”。
</br>
添加到选集：将当前过滤条件下获得的结果添加至选择集中。选择集中的构件以高亮显示。
从选集中删除：将当前过滤条件下过的结果从选择集删除。